﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.Script.Services;
using System.Web.Script.Serialization;

/// <summary>
/// Summary description for EmployeeService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class EmployeeService : System.Web.Services.WebService {

    List<Employee> Employees = new List<Employee> {
        new Employee {Id=1,FirstName="Tim",LastName="Back",Title="Programmer",Salary=55000f},
        new Employee {Id=2,FirstName="Mike",LastName="Morning",Title="Analyst",Salary=49000f},
        new Employee {Id=3,FirstName="Liz",LastName="Tester",Title="System Engineer",Salary=82000f},
        new Employee {Id=4,FirstName="Jessica",LastName="Born",Title="Architect",Salary=33000f},
        new Employee {Id=5,FirstName="John",LastName="Jackson",Title="Product Manager",Salary=99000f},
        new Employee {Id=6,FirstName="Fred",LastName="Thomson",Title="Accountant",Salary=75000f},
        new Employee {Id=7,FirstName="Kelly",LastName="Clark",Title="Secretary",Salary=62000f},
        new Employee {Id=8,FirstName="Matt",LastName="Ziff",Title="Senior Developer",Salary=25000f},
        new Employee {Id=9,FirstName="Aaron",LastName="Watcher",Title="QA Analyst",Salary=91000f},
    };

    public EmployeeService () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    [ScriptMethod(UseHttpGet=true, ResponseFormat=ResponseFormat.Json)]
    public void GetEmployees()
    {
        var JsonEmployees = new
        {
            total = 1,            //total number of pages
            page = 1,             //page to show in the grid,
            records = 9,          //number of records
            rows = Employees,     //the data
        };

        //serialize to json
        var jsonSerializer = new JavaScriptSerializer();
        string jsonResult = jsonSerializer.Serialize(JsonEmployees);

        Context.Response.Write(jsonResult);
        Context.Response.End();

    }
}

public class Employee
{
    public int Id;
    public string FirstName;
    public string LastName;
    public string Title;
    public float Salary;
}
